#include <SoftwareSerial.h>
#include <OneWire.h>

const byte rxPin = 2;
const byte txPin = 1;
SoftwareSerial mySerial (rxPin, txPin);

#define ONEWIRE_BUSS 0

OneWire TemperatureSensor(ONEWIRE_BUSS); 
extern uint8_t BigNumbers[];

void setup(void) {
    pinMode(rxPin, INPUT);
    pinMode(txPin, OUTPUT);
    mySerial.begin(9600);
    
}

void loop(void) {
  //mySerial.println("heelo\n");
  byte i;
  byte data[12];
  int16_t raw;
  float td;
  float tx;
 
  TemperatureSensor.reset();       // reset one wire buss
  TemperatureSensor.skip();        // select only device
  TemperatureSensor.write(0x44);   // start conversion
 
  delay(1000);                     // wait for the conversion
 
  TemperatureSensor.reset();
  TemperatureSensor.skip();
  TemperatureSensor.write(0xBE);   // Read Scratchpad
  
  for ( i = 0; i < 9; i++) {       // 9 bytes
    data[i] = TemperatureSensor.read();
  }
 
  raw = (data[1] << 8) | data[0];
  td = (float)raw;
  tx = (td -382.6)/ 13.4162;
  mySerial.println(tx);

}
